Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class VersionDescription

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObject

            |

            +--oracle.ifs.beans.TieLibraryObject

                  |

                  +--oracle.ifs.beans.PublicObject

                        |

                        +--oracle.ifs.beans.TiePublicObject

                              |

                              +--oracle.ifs.beans.VersionDescription

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieVersionDescription

public class VersionDescription
extends TiePublicObject

The VersionDescription class is used to describe an instance of a versioned public object at a point in time as tracked by the version series.

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `PUBLICOBJECT_ATTRIBUTE` The versioned object that this VersionDescription describes in the context of a VersionSeries.
`static java.lang.String` | `REVISIONCOMMENT_ATTRIBUTE` The check-in comment (a textual description) of the versioned object that this VersionDescription describes.
`static java.lang.String` | `VERSIONLABEL_ATTRIBUTE` A user supplied label for the versioned object that this VersionDescription describes (e.g.
`static java.lang.String` | `VERSIONNUMBER_ATTRIBUTE` The numbered sequence that this VersionDescription occupies in the VersionSeries.
`static java.lang.String` | `VERSIONSERIES_ATTRIBUTE` The VersionSeries to which this VersionDescription belongs.

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, ADMINISTRATIONGROUP_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKEDFORSESSION_ATTRIBUTE, LOCKSTATE_ATTRIBUTE, LOCKSTATE_HARDLOCK, LOCKSTATE_SESSIONLOCK, LOCKSTATE_SOFTLOCK, LOCKSTATE_UNLOCK, LOCKSTATE_USERLOCK, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Method Summary
`PublicObject` | `getPublicObject()` Returns the PublicObject for this version description.
`java.lang.String` | `getRevisionComment()` Returns the user specified revision comment for this version description.
`java.lang.String` | `getVersionLabel()` Returns the user specified version label for this version description.
`long` | `getVersionNumber()` Returns the linear, system generated version number for this version description.
`VersionSeries` | `getVersionSeries()` Returns this version description's version series
`boolean` | `isLatestVersionDescription()` Cover for `getVersionSeries().isLatestVersionDescription(this)`
`void` | `setVersionLabel(java.lang.String label)` Sets the user specified version label for this version description.

Methods inherited from class oracle.ifs.beans.PublicObject
`addCategory, addRelationship, checkEffectiveAccess, checkEffectiveAccess, copy, getAcl, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getCategories, getCategories, getCreateDate, getCreator, getDefaultAccessLevel, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFlags, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLockedState, getLockState, getLockStateLabel, getOwner, getPolicyBundle, getPropertyBundle, getResolvedPublicObject, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, grantAccess, handleEvent, hasNameAttribute, isLocked, isLockedForSession, isLockedForSessionByCurrentSession, isVersionable, lock, putPolicy, putProperty, putProperty, removeAllPolicies, removeAllProperties, removePolicy, removePolicy, removeProperty, removeRelationship, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setOwner, setPolicyBundle, setPropertyBundle, setSecuringPublicObject, toLockStateLabel, toLockStateLabel, toLockStateLabel, unlock`

Methods inherited from class oracle.ifs.beans.LibraryObject
`equals, free, free, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getClassId, getClassObject, getDefinition, getId, getLabel, getName, getSession, invokeServerMethod, isInstanceOf, isTraced, lookupInstanceLabel, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setName, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  This class name for this class. Useful for methods that take a class name argument.

### VERSIONSERIES_ATTRIBUTE

    public static final java.lang.String VERSIONSERIES_ATTRIBUTE

  The VersionSeries to which this VersionDescription belongs.

### PUBLICOBJECT_ATTRIBUTE

    public static final java.lang.String PUBLICOBJECT_ATTRIBUTE

  The versioned object that this VersionDescription describes in the context of a VersionSeries.

### VERSIONNUMBER_ATTRIBUTE

    public static final java.lang.String VERSIONNUMBER_ATTRIBUTE

  The numbered sequence that this VersionDescription occupies in the VersionSeries.

### VERSIONLABEL_ATTRIBUTE

    public static final java.lang.String VERSIONLABEL_ATTRIBUTE

  A user supplied label for the versioned object that this VersionDescription describes (e.g. '1.2.3a', 'alpha').

### REVISIONCOMMENT_ATTRIBUTE

    public static final java.lang.String REVISIONCOMMENT_ATTRIBUTE

  The check-in comment (a textual description) of the versioned object that this VersionDescription describes.

Method Detail

### getVersionSeries

    public VersionSeries getVersionSeries()
                                   throws IfsException

  Returns this version description's version series
  Overrides:
    `getVersionSeries` in class `PublicObject`
  Returns:
    this version description's version series
  Throws:
    `IfsException` - if operation fails.

### getVersionNumber

    public long getVersionNumber()
                          throws IfsException

  Returns the linear, system generated version number for this version description.
  Overrides:
    `getVersionNumber` in class `PublicObject`
  Returns:
    this version description's version number
  Throws:
    `IfsException` - if operation fails.

### getVersionLabel

    public java.lang.String getVersionLabel()
                                     throws IfsException

  Returns the user specified version label for this version description.
  Returns:
    this version description's version label
  Throws:
    `IfsException` - if operation fails.

### setVersionLabel

    public void setVersionLabel(java.lang.String label)
                         throws IfsException

  Sets the user specified version label for this version description.
  Parameters:
    `label` - the version label
  Throws:
    `IfsException` - if operation fails.

### getPublicObject

    public PublicObject getPublicObject()
                                 throws IfsException

  Returns the PublicObject for this version description.
  Returns:
    this version description's PublicObject.
  Throws:
    `IfsException` - if operation fails.

### getRevisionComment

    public java.lang.String getRevisionComment()
                                        throws IfsException

  Returns the user specified revision comment for this version description.
  Returns:
    this version description's revision comment
  Throws:
    `IfsException` - if operation fails.

### isLatestVersionDescription

    public boolean isLatestVersionDescription()
                                       throws IfsException

  Cover for `getVersionSeries().isLatestVersionDescription(this)`
  Returns:
    true if this version description is the latest in the series.
  Throws:
    `IfsException` - if operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD